# Class StringVariableSelectionDialog.VariableFilter

java.lang.Object
org.eclipse.debug.ui.StringVariableSelectionDialog.VariableFilter

Enclosing class:
  `StringVariableSelectionDialog`

public static class StringVariableSelectionDialog.VariableFilter extends Object
Base class for custom variable filters. Clients may extend this class to filter specific dynamic variables from the selection dialog.

Since:
  3.6

## Constructor Summary

Constructors
Constructor
Description
`VariableFilter()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFiltered(IDynamicVariable var)`
Returns whether the given variable should be filtered.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariableFilter

public VariableFilter()

## Method Details

### isFiltered

public boolean isFiltered(IDynamicVariable var)
Returns whether the given variable should be filtered.

Parameters:
  `var` - variable to be consider
Returns:
  `true` to filter the variable, otherwise `false`